{
  inputs.nixpkgs.url = "github:NixOS/nixpkgs/nixos-24.05";

  outputs = { self, nixpkgs, ... }@attrs: {
    nixosConfigurations."oven" = nixpkgs.lib.nixosSystem {
      system = "x86_64-linux";
      specialArgs = attrs;
      modules = [ ./oven/configuration.nix ];
    };

    nixosConfigurations."pastila" = nixpkgs.lib.nixosSystem {
      system = "x86_64-linux";
      specialArgs = attrs;
      modules = [ ./pastila/configuration.nix ];
    };

    nixosConfigurations."mesange" = nixpkgs.lib.nixosSystem {
      system = "x86_64-linux";
      specialArgs = attrs;
      modules = [ ./mesange/configuration.nix ];
    };

    nixosConfigurations."pinson" = nixpkgs.lib.nixosSystem {
      system = "x86_64-linux";
      specialArgs = attrs;
      modules = [ ./pinson/configuration.nix ];
    };
  };
}
